PODExtendedChannel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.mpeg
Class PODExtendedChannel

    java.lang.Object
      org.davic.mpeg.TransportStream
          org.ocap.mpeg.PODExtendedChannel

    public abstract class PODExtendedChannel

extends TransportStream

This class represents an extended channel that provides access to private section data flows. The extended channel is defined in the Host-POD Interface Standard (SCTE 28). When this class is specified as the stream parameter of the org.davic.mpeg.sections.SectionFilterGroup.attach(TransportStream, ResourceClient, Object) method, the SectionFilterGroup is connected to the extended channel, i.e., the filters in the SectionFilterGroup filter the private section data via OOB. The extended channel flow to be opened is specified by PID, when the org.davic.mpeg.sections.SectionFilter.startFiltering() method is called.

The methods defined in the super class (org.davic.mpeg.TransportStream) shall behave as follows:

- The getTransportStreamId() method returns -1.
- The retrieveService(int serviceId) method returns null.
- The retrieveServices() method returns null.

Method Summary
`static PODExtendedChannel` | `getInstance()` Gets a PODExtendedChannel instance.

Methods inherited from class org.davic.mpeg.TransportStream
`getTransportStreamId, retrieveService, retrieveServices`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PODExtendedChannel getInstance()

  Gets a PODExtendedChannel instance. The implementation MAY return the same instance each time, or it MAY return different (but functionally identical) instances.

  Returns:
    A PODExtendedChannel instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD